com.tibbo.aggregate.common.binding

## Class Bindings

- java.lang.Object
- - com.tibbo.aggregate.common.binding.Bindings

-     public class Bindings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_EVALUATION_PERIOD`
    `static java.lang.String` | `FIELD_ACTIVATOR`
    `static java.lang.String` | `FIELD_BINDING_ID`
    `static java.lang.String` | `FIELD_CONDITION`
    `static java.lang.String` | `FIELD_EXPRESSION`
    `static java.lang.String` | `FIELD_ONEVENT`
    `static java.lang.String` | `FIELD_ONSTARTUP`
    `static java.lang.String` | `FIELD_PERIOD`
    `static java.lang.String` | `FIELD_PERIODICALLY`
    `static java.lang.String` | `FIELD_QUEUE`
    `static java.lang.String` | `FIELD_TARGET`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bindings()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<ExtendedBinding>` | `bindingsFromDataTable(DataTable bindingsTable, java.util.concurrent.ExecutorService executorService)`
    `static java.util.List<ExtendedBinding>` | `bindingsFromDataTable(DataTable bindingsTable, Pinpoint pinpoint, java.util.concurrent.ExecutorService executorService)` Converts given bindings table into a list of extended binding instances assuming that the table has appropriate format.
    `static DataTable` | `bindingsToDataTable(java.util.Collection<ExtendedBinding> bindings)`
    `static DataTable` | `bindingsToDataTable(java.util.Collection<ExtendedBinding> bindings, TableFormat format)`
    `static DataRecord` | `bindingToDataRecord(ExtendedBinding ebg, TableFormat format)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_EVALUATION_PERIOD

          public static final long DEFAULT_EVALUATION_PERIOD

      See Also:
        Constant Field Values

    - #### FIELD_BINDING_ID

          public static final java.lang.String FIELD_BINDING_ID

      See Also:
        Constant Field Values

    - #### FIELD_TARGET

          public static final java.lang.String FIELD_TARGET

      See Also:
        Constant Field Values

    - #### FIELD_EXPRESSION

          public static final java.lang.String FIELD_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_ACTIVATOR

          public static final java.lang.String FIELD_ACTIVATOR

      See Also:
        Constant Field Values

    - #### FIELD_CONDITION

          public static final java.lang.String FIELD_CONDITION

      See Also:
        Constant Field Values

    - #### FIELD_ONSTARTUP

          public static final java.lang.String FIELD_ONSTARTUP

      See Also:
        Constant Field Values

    - #### FIELD_ONEVENT

          public static final java.lang.String FIELD_ONEVENT

      See Also:
        Constant Field Values

    - #### FIELD_PERIODICALLY

          public static final java.lang.String FIELD_PERIODICALLY

      See Also:
        Constant Field Values

    - #### FIELD_PERIOD

          public static final java.lang.String FIELD_PERIOD

      See Also:
        Constant Field Values

    - #### FIELD_QUEUE

          public static final java.lang.String FIELD_QUEUE

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### Bindings

          public Bindings()

  - ### Method Detail

    - #### bindingsFromDataTable

          public static java.util.List<ExtendedBinding> bindingsFromDataTable(DataTable bindingsTable,
                                                                              @Nullable
                                                                              java.util.concurrent.ExecutorService executorService)
                                                                       throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

    - #### bindingsFromDataTable

          public static java.util.List<ExtendedBinding> bindingsFromDataTable(DataTable bindingsTable,
                                                                              @Nullable
                                                                              Pinpoint pinpoint,
                                                                              @Nullable
                                                                              java.util.concurrent.ExecutorService executorService)
                                                                       throws SyntaxErrorException

      Converts given bindings table into a list of extended binding instances assuming that the table has appropriate format.
      Parameters:
        `bindingsTable` - source table to read bindings data from
        `pinpoint` - an optional pointer to the place where the bindings belong to (e.g. a context's variable)
        `executorService` - thread pool to evaluate bindings on (if necessary)
      Returns:
        a list of instantiated bindings and their options
      Throws:
        `SyntaxErrorException` - if some of the bindings contain a malformed expression

    - #### bindingsToDataTable

          public static DataTable bindingsToDataTable(java.util.Collection<ExtendedBinding> bindings)

    - #### bindingsToDataTable

          public static DataTable bindingsToDataTable(java.util.Collection<ExtendedBinding> bindings,
                                                      TableFormat format)

    - #### bindingToDataRecord

          public static DataRecord bindingToDataRecord(ExtendedBinding ebg,
                                                       TableFormat format)